<?php 
class WCOSM_Order
{
	public function __construct()
	{
		add_action('woocommerce_reduce_order_stock', array(&$this, 'items_stock_level_reducde_after_order'));
		//add_action('woocommerce_reduce_order_stock_quantity', array(&$this, 'item_stock_level_reduced_after_order'));
		
	}
	public static function get_id($order)
	{
		if(version_compare( WC_VERSION, '2.7', '<' ))
			return $order->id;
		
		return $order->get_id();
	}
	//stock updated
	public function items_stock_level_reducde_after_order($order)
	{
		global $wcosm_wpml_model, $wcosm_product_model;
		$products = $order->get_items();
		$items = array();
		$product_to_warn = array();
		foreach($products as $product)
		{
			//$wc_product = new WC_Product($product['product_id']);
			//$product['variation_id'];
			if($wcosm_wpml_model->is_active())
			{
				$product['product_id'] = $wcosm_wpml_model->get_original_id($product['product_id'], 'product', true);
				$product['variation_id'] = $product['variation_id'] != 0 ? $wcosm_wpml_model->get_original_id($product['variation_id'], 'product_variation', true) : 0;
			}
			$items[] = array('product_id' => $product['product_id'], 
							 'variation_id' => $product['variation_id'],
							 'product' => $product['variation_id'] != 0 ? new WC_Product_Variation($product['variation_id']) : new WC_Product($product['product_id']) );
			
			//wcosm_var_dump($product->get_stock_quantity( ));
		}
		if(!empty($items))
			$product_to_warn = $wcosm_product_model->check_and_send_warning_notification_for_low_stock_level($items, $order);
		
		//wcosm_var_dump($product_to_warn);
	}
	public function item_stock_level_reduced_after_order($quantity, $item_id)
	{
	}
}
?>