<?php 
class WCOSM_Text
{
	public function __construct()
	{
	}
	function cl_acf_set_language() 
	{
	  return acf_get_setting('default_language');
	}
	public function get_texts()
	{
		//To avoid language switch: add_filter('acf/settings/current_language',  array(&$this, 'cl_acf_set_language'), 100);
		$all_data = array();
		$all_data['in_stock_text'] = get_field('wcosm_in_stock_text', 'option'); 
		$all_data['in_stock_text'] = $all_data['in_stock_text'] ? $all_data['in_stock_text'] :  esc_html__( 'In stock', 'woocommerce-out-of-stock-manager' ); 
		
		$all_data['out_of_stock'] = get_field('wcosm_out_of_stock', 'option'); 
		$all_data['out_of_stock'] = $all_data['out_of_stock'] ? $all_data['out_of_stock'] :  esc_html__( 'Out of stock', 'woocommerce-out-of-stock-manager' ); 
		
		$all_data['above_cutom_stock_level'] = get_field('wcsm_above_cutom_stock_level', 'option'); 
		$all_data['above_cutom_stock_level'] = $all_data['above_cutom_stock_level'] ? $all_data['above_cutom_stock_level'] :  esc_html__( '%s in stock', 'woocommerce-out-of-stock-manager' ); 
		
		$all_data['under_custom_stock_level'] = get_field('wcosm_under_custom_stock_level', 'option'); 
		$all_data['under_custom_stock_level'] = $all_data['under_custom_stock_level'] ? $all_data['under_custom_stock_level'] :  esc_html__( 'Only %s left in stock', 'woocommerce-out-of-stock-manager' ); 
		
		//To avoid language switch: remove_filter('acf/settings/current_language', array(&$this,'cl_acf_set_language'), 100);
		return $all_data;
	}
}
?>